Copyright: Created with EasyHelp (Tel: 0973 209667)


Ordinal/Ordinal Switch - RG354269

Description

This block selects between two inputs.  It has a single output.  All of the inputs are persistent.

Parameters

Input 1	Input 1 to the block.  Expects an ordinal.

Input 2	Input 2 to the block.  Expects an ordinal.

Select	Select input to the block.  Expects Input 1 (false) or Input 2 (true).

Get Output	Returns the current value of the output:  an ordinal.

Get Input 1	Returns the current value of input 1:  an ordinal.

Get Input 2	Returns the current value of input 2:  an ordinal.

Get Select	Returns the current state of the switch:  Input 1 (false) or Input 2 (true).


Description

This block selects between two inputs.  It has a single output.  All of the inputs are persistent.


Parameters

Input 1	Input 1 to the block.  Expects an ordinal.

Input 2	Input 2 to the block.  Expects an ordinal.

Select	Select input to the block.  Expects Input 1 (false) or Input 2 (true).

Get Output	Returns the current value of the output:  an ordinal.

Get Input 1	Returns the current value of input 1:  an ordinal.

Get Input 2	Returns the current value of input 2:  an ordinal.

Get Select	Returns the current state of the switch:  Input 1 (false) or Input 2 (true).